Last Comment Bug 286940 - [hr] Croatian: Firefox
: [hr] Croatian: Firefox
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: All All
: -- minor (vote)
: ---
Assigned To: Localization Registration Bugs
:
:
Mentors:
: 294154 (view as bug list)
Depends on:
Blocks: 482675
  Show dependency treegraph
 
Reported: 2005-03-20 07:25 PST by Denis Lackovic
Modified: 2009-03-11 03:00 PDT (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Public SSH key (222 bytes, text/plain)
2005-03-20 07:27 PST, Denis Lackovic
no flags Details
Croatian localization .xpi installation file (192.65 KB, application/octet-stream)
2005-03-22 03:16 PST, Denis Lackovic
no flags Details
Localized files prepared for CVS (111.61 KB, application/octet-stream)
2005-03-22 03:27 PST, Denis Lackovic
no flags Details
Croatian Firefox translation (47.86 KB, application/x-java-archive)
2008-09-21 05:39 PDT, Ante Karamatic
l10n: review-
Details
CVS tree by Cedric's script (52.55 KB, application/zip)
2008-09-21 07:18 PDT, Ante Karamatic
l10n: review-
Details
JAR exported from Mozilla Translator (270.98 KB, application/x-java-archive)
2009-02-02 12:34 PST, Ante Karamatic
no flags Details
hr3.1 source zip (249.20 KB, application/force-download)
2009-02-10 17:00 PST, Zibi Braniecki [:gandalf][:zibi]
no flags Details
croatian translation of ffx3b3 (248.75 KB, application/zip)
2009-02-15 06:31 PST, Ante Karamatic
no flags Details
Final translation of FFX3.1b3 (250.64 KB, application/zip)
2009-02-16 05:59 PST, Ante Karamatic
no flags Details
Final translation of FFX3.1b3 (Minefield) (250.65 KB, application/zip)
2009-02-16 11:31 PST, Ante Karamatic
gandalf: review+
Details

Description Denis Lackovic 2005-03-20 07:25:14 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040924 Debian/1.7.3-2
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040924 Debian/1.7.3-2

Croatian localization team (http://lokalizacija.linux.hr) has localized firefox
and thunderbird to Croatian. We would like to check in our localized files to
mozilla cvs. 
We have successfully compiled localized firefox and also prepared .xpi
installation files for Croatian localizations.

Reproducible: Always
Comment 1 Denis Lackovic 2005-03-20 07:27:26 PST
Created attachment 178037 [details]
Public SSH key

This is my public ssh key needed for cvs account setup.
Comment 2 Zibi Braniecki [:gandalf][:zibi] 2005-03-22 02:55:41 PST
Please, attach you localization of Firefox 1.0 as zip packages to this bug for
review.
Comment 3 Denis Lackovic 2005-03-22 03:16:06 PST
Created attachment 178226 [details]
Croatian localization .xpi installation file
Comment 4 Denis Lackovic 2005-03-22 03:27:24 PST
Created attachment 178227 [details]
Localized files prepared for CVS

These are localized files for Croatian, taken from firefox build directories.
They are ready for import to CVS.
Comment 5 Marcia Knous [:marcia - use ni] 2005-04-01 16:19:13 PST
Denis: Have you sent the CVS Contributor form (www.mozilla.org/hacking/form.html?)
Comment 6 Marcia Knous [:marcia - use ni] 2005-06-01 18:24:15 PDT
checking in again on the CVS form...
Comment 7 Tim Maks van den Broek [:mad_maks] 2005-07-27 02:13:57 PDT
We're currently on the push for FF 1.5, which is supposed to be branching soon.
Could you attach sources for that, so that we can review your locale
for inclusion in 1.5?

And fax the cvs form to activate your account.


1] http://www.mozilla.org/hacking/form.html
Comment 8 Marcia Knous [:marcia - use ni] 2006-03-27 10:07:32 PST
Form received. Not clear to me whether someone has vouched here and this account is ready for activation. I don't see an explicit voucher in this bug.
Comment 9 Senko Rasic 2006-05-18 16:27:02 PDT
Independently of the team lead by Denis Lackovic, we (the ubuntu-hr localization team, http://www.ubuntu-hr.org/) translated parts of Firefox 1.5 to for the upcoming Dapper release. Due to the lack of time and resources, we were/are unable to complete the translation at this time, but we'd like to share this with the community.
We will contact Denis and see what's the status with the localization effort (perhaps try and revive it). In the meantime, I'll attach the .xpi file we've made.
Comment 10 Senko Rasic 2006-05-18 16:36:51 PDT
Since the file is too large to submit here, here's the link to it:
http://www.ubuntu-hr.org/~senko/firefox-1.5-hr.xpi
Comment 11 Axel Hecht [:Pike] 2006-05-18 17:31:07 PDT
Senko, if you're not trying to create a langpack just really zip the stuff, it
should really be small enough to attach. If you have that meta data, maybe just
zip up the files that you actually translated? That may be easier for other folks
to pick up.

It seems like that we're still hoping to receive a 1.5-targeted source zip for 
this bug, just to summarize the general state of this from my side.
Comment 12 Ante Karamatic 2006-10-08 08:46:58 PDT
Hi!

My name is Ante and I'm doing translation of Firefox for Ubuntu distribution. This translation will be included in Ubuntu 6.10, but it would be great if it could be accepted in Mozilla too. This zip file contains translated browser component (except help and installer). Other components (dom, extensions, netwerk, other-licenses, security and toolkit) should be over by the end of the week (except installer and help)

http://www.grad.hr/~ivoks/ubuntu/hr-HR.zip - file to large for attachment.

I'm also interested in CVS account, if possible.

Thank you.
Comment 13 Robert Kaiser 2007-02-07 10:25:43 PST
*** Bug 294154 has been marked as a duplicate of this bug. ***
Comment 14 Axel Hecht [:Pike] 2007-02-07 10:30:04 PST
Moving over to registration for tracking.
Comment 15 Gervase Markham [:gerv] 2007-09-19 02:16:52 PDT
On behalf of the Mozilla Project, I'd like to apologise for the delay in processing this request. We very much appreciate offers of help in localization.

If anyone reading this is still interested in helping to translate one or more Mozilla products into the language that this bug is about, please add a new comment to this bug to confirm your interest, saying again which products you would like to localize e.g., Firefox, Thunderbird. We will then make the necessary arrangements.
Comment 16 Ante Karamatic 2007-09-19 09:29:25 PDT
Hi!

Um... We've translated firefox 1.5, and then 2.0 went out, so I would rather that we start translating firefox 3, if possible?
Comment 17 Axel Hecht [:Pike] 2007-09-25 06:49:30 PDT
Ante, from what I have seen so far, 2.0 might be a good step towards 3.0. The problem with attacking fx 3 right now is that it's not string frozen, and I can't really tell you when it will be. That will depend on the feedback on versions of Firefox that we didn't even release yet, so that timeline is blurry. The best we have (and that will be updated) is on http://wiki.mozilla.org/Firefox3/Schedule.

I doubt you'd be wasting a whole lot of work by attacking Firefox 2 now, but I could make a more constructive comment if I had a state of your tree for 1.5. I'd need a source form instead of a language pack. If you only have the latter, http://perso.orange.fr/cedric.corazza.net/html/langpack2cvstree.html should be able to help you in resurrecting the data as far as it is in language packs.
Comment 18 Ante Karamatic 2007-09-25 10:03:16 PDT
I have source of firefox 1.5 translation. Could it be used as a start for FF2? It's available at http://www.grad.hr/~ivoks/hr.tar.
Comment 19 Axel Hecht [:Pike] 2007-09-25 10:44:06 PDT
It sure is a start. I just unpacked it and compared it to the 1.8 branch and the trunk. There's a bit of noise in the data, as you had *~ files in there, which my script complains about, so ignore the obsoleteFiles count:

Firefox 2 (MOZILLA_1_8_BRANCH):

{'changed': 621,
 'keys': 637,
 'missing': {'browser': 227, 'toolkit': 439, 'total': 666},
 'missingFiles': {'browser': 46, 'toolkit': 7, 'total': 53},
 'obsolete': {'browser': 226, 'toolkit': 256, 'total': 482},
 'obsoleteFiles': {'browser': 30, 'toolkit': 10, 'total': 40},
 'tested': ['browser', 'toolkit'],
 'unchanged': 2804}
15% of entries changed

Firefox 3ish, Minefield (HEAD at some recent date, didn't pull for it):

{'changed': 543,
 'keys': 579,
 'missing': {'browser': 303, 'toolkit': 741, 'total': 1044},
 'missingFiles': {'browser': 66, 'toolkit': 17, 'total': 83},
 'obsolete': {'browser': 393, 'toolkit': 424, 'total': 817},
 'obsoleteFiles': {'browser': 34, 'toolkit': 15, 'total': 49},
 'tested': ['browser', 'toolkit'],
 'unchanged': 2492}
13% of entries changed

To give you an idea on the differences, I did a comparison of just the missing files, which yields

-browser/chrome/browser/cookieviewer/CookieExceptions.dtd',
-browser/chrome/browser/cookieviewer/CookieViewer.dtd',
-browser/chrome/browser/cookieviewer/CookieViewer.properties',
-browser/chrome/browser/feeds/addFeedReader.dtd',
+browser/chrome/browser/engineManager.properties',
+browser/chrome/browser/places/bookmarkProperties.dtd',
+browser/chrome/browser/places/bookmarkProperties.properties',
+browser/chrome/browser/places/editBookmarkOverlay.dtd',
+browser/chrome/browser/places/moveBookmarks.dtd',
+browser/chrome/browser/places/places.dtd',
+browser/chrome/browser/places/places.properties',
+browser/chrome/browser/preferences/applications.dtd',
-browser/chrome/browser/preferences/feeds.dtd',
-browser/chrome/browser/preferences/feeds.properties',
+browser/chrome/browser/preferences/selectBookmark.dtd',
+browser/chrome/browser/quitDialog.properties',
+browser/chrome/browser/tabbrowser.dtd',
+browser/chrome/browser/tabbrowser.properties',
-browser/profile/search.rdf',
+browser/searchplugins/list.txt',
+dom/chrome/layout/layout_errors.properties',
+dom/chrome/prompts.properties',
+dom/chrome/storage.properties',
+dom/chrome/svg/svg.properties',
+security/manager/chrome/pipnss/nsserrors.properties',
+toolkit/chrome/alerts/notificationNames.properties',
+toolkit/chrome/global/about.dtd',
+toolkit/chrome/global/browser.properties',
+toolkit/chrome/global/datetimepicker.dtd',
+toolkit/chrome/global/notification.dtd',


The '+' files are new on the trunk, the '-' are not on the trunk anymore. While working your way up on the 1.8 branch, you could just remember that list and leave those as English. If you get the localization to a state that makes it reasonable to publish it for 2.0.0.x, you can revisit that decision then.

There are some removed entities inside the rest of the files, but currently, there's just a huge amount of work left to be done, it seems. I'll make a more constructive effort on the 2.0 vs 3.0pre comparison over in bug 397506. In particular the diff view one the upcoming attachements there should be interesting.


Comment 20 Ante Karamatic 2007-11-20 13:25:52 PST
We are assembling a team that will work on localization, so I confirm I'm interested in managing Croatian localization.
Comment 21 Senko Rasic 2007-11-20 14:37:21 PST
I'm also in the team Ante mentioned, so FWIW, I'd like to support him as the Croatian localization coordinator, and plan to work with him on the stuff needed to be done to have a proper and official translation.
Comment 22 Denis Lackovic 2007-11-21 01:32:12 PST
I confirm Ante will be person responsible for future mozilla translations to croatian.
Comment 23 Axel Hecht [:Pike] 2007-11-21 01:50:31 PST
Cool, that sounds great.

Could you describe the team and points of contact on http://wiki.mozilla.org/L10n:Teams:hr? That's our main entry point for us and new volunteers to find you guys.
Comment 24 Ante Karamatic 2007-11-21 02:05:37 PST
Done. I'll add others during this week.
Comment 25 antonhr 2007-11-29 07:22:35 PST
Hy, Can I get translation for 2.0 or help in translating?
Comment 26 antonhr 2007-11-29 07:23:07 PST
Hy, Can I get translation for 2.0 or help in translating?
Comment 27 Gervase Markham [:gerv] 2008-01-30 09:57:08 PST
Hey, Ante: how are things going?

Gerv
Comment 28 Senko Rasic 2008-01-30 15:35:30 PST
(In reply to comment #27)
> Hey, Ante: how are things going?
> 
> Gerv

Hi, I'm coordinating the current project of translating
Firefox3 into HR. We have translated some portions of
the string tree, but we didn't merge them and submit for
inclusion in cvs yet. We planned to have it done by the end
of December, but (due to my lack of time and because of that
not enough involvement) that got delayed.

We're continuing to work on the translations and are in the
process of transferring the coordination to another person
in our team (but we remain a coherent team with Ante as
our point man).
Comment 29 Axel Hecht [:Pike] 2008-02-05 10:14:44 PST
Hi, I'm not sure if you're following the posts in the mozilla.dev.l10n newsgroup, so here's a little crosspost. I updated compare-locales quite a bit recently, so the output of that is much more helpful. Find more information on that on http://developer.mozilla.org/en/docs/Compare-locales.
Comment 30 Axel Hecht [:Pike] 2008-08-19 10:26:11 PDT
Comment on attachment 178227 [details]
Localized files prepared for CVS

putting this into my review queue
Comment 31 Ante Karamatic 2008-08-19 10:56:02 PDT
Just an update:

We've translated most of the firefox related stuff and are in the middle of translation of xulrunner. So, there's no need to review old translation. xulrunner will be finished hopefully in next 30 days. We'll review it and upload here.
Comment 32 Axel Hecht [:Pike] 2008-09-05 09:11:43 PDT
Comment on attachment 178227 [details]
Localized files prepared for CVS

Yep, you're right. Obsoleting this one.

Once you have something for review, please set the review flag on the new attachment to '?', and the requestee to l10n@mozilla.com, thanks.
Comment 33 Ante Karamatic 2008-09-21 05:39:31 PDT
Created attachment 339643 [details]
Croatian Firefox translation

We still haven't finished xulrunner part, but this should be a good start for complete translation.

Thank you
Comment 34 Axel Hecht [:Pike] 2008-09-21 06:05:33 PDT
Comment on attachment 339643 [details]
Croatian Firefox translation

This is a language pack, but we'll need a localization source for review.

Gandalf, want to help out here a bit? We'll either need the source for this, or generate one with Cedric's script.
Comment 35 Ante Karamatic 2008-09-21 07:18:21 PDT
Created attachment 339653 [details]
CVS tree by Cedric's script

Another shot...
Comment 36 Axel Hecht [:Pike] 2008-10-22 05:19:06 PDT
Comment on attachment 339653 [details]
CVS tree by Cedric's script

This is a better directory structure, but it's missing tons of files.

hr-HR:
missing: 25
keys: 526
unchanged: 108
changed: 1139
missingInFiles: 4098
obsolete: 31

is the current summary, which comes mostly from this just being browser, and toolkit completely missing. Even browser is missing tons of files.
Comment 37 sasa.placko 2009-01-29 17:58:03 PST
hey guys

i'd like to join in translating FF 3.1 and TB 3 (focusing primarily on windows versions if it matters at all)

since i've never done anything like this before, can you recommend me a crash course on localizations or share some guidelines which way is the best to start, should i subscribe to a newsgroup or a internal mailing list, and such?

greetings all

-- 
sasa
Comment 38 Ante Karamatic 2009-02-02 12:34:40 PST
Created attachment 360135 [details]
JAR exported from Mozilla Translator

This is tree I can import in Mozilla Translator, but I get 'String Index out of range: -1' when I try export to XPI from that same program. This is almost 70%.
Comment 39 Zibi Braniecki [:gandalf][:zibi] 2009-02-02 12:45:40 PST
Comment on attachment 360135 [details]
JAR exported from Mozilla Translator

removing review request.
This needs to be converted to source format.

I'll do this today and upload in the right format.
Comment 40 Zibi Braniecki [:gandalf][:zibi] 2009-02-10 17:00:42 PST
Created attachment 361672 [details]
hr3.1 source zip

Ante: your package seems to be against Firefox 3.0.

I prepared a package that matches current Firefox 3.1 locale and structure basing on what you sent.

Please, use this to complete your localization.
Comment 41 Ante Karamatic 2009-02-10 23:07:08 PST
Thank you!
Comment 42 Ante Karamatic 2009-02-15 06:31:25 PST
Created attachment 362467 [details]
croatian translation of ffx3b3

This is translation for latest hg source of mozilla-1.9.1. Rezults of compare-locales are:

hr:
keys: 927
unchanged: 1439
changed: 3695
71% of entries changed

It has almost all of the browser and installer translated. Toolkit still has some gaps, but we plan to finish it asap.

Thank you all for guidance and help with getting this to the point where it is now.
Comment 43 Ante Karamatic 2009-02-16 05:59:55 PST
Created attachment 362571 [details]
Final translation of FFX3.1b3

This is a final translation of FFX3.1b3 in Croatian. compare-locales:

keys: 927
unchanged: 410
changed: 4724
92% of entries changed

Unchanged strings can't be translated (access and cmd keys) or are exactly the same in English and Croatian (names of countries, etc.).
Comment 44 Zibi Braniecki [:gandalf][:zibi] 2009-02-16 11:09:51 PST
Comment on attachment 362571 [details]
Final translation of FFX3.1b3

This looks good.

The localization looks complete.

Please, switch "Bon Echo" to "Minefield" in all ./browser/chrome/branding/
Comment 45 Ante Karamatic 2009-02-16 11:31:33 PST
Created attachment 362605 [details]
Final translation of FFX3.1b3 (Minefield)

Here it is.
Comment 46 Zibi Braniecki [:gandalf][:zibi] 2009-02-16 11:39:36 PST
Comment on attachment 362605 [details]
Final translation of FFX3.1b3 (Minefield)

r=gandalf
Comment 47 Gervase Markham [:gerv] 2009-03-05 06:36:38 PST
Hey Gandalf, Axel: what do we need here to get this into Hg/CVS?

Gerv
Comment 48 Axel Hecht [:Pike] 2009-03-10 17:13:07 PDT
Congrats, initial landing is done.

I think I did a few changes for my initial commit. I reverted region.properties, that had broken links in it. And I removed the en-US search plugin implementations, as those get picked up from the en-US sources by the build anyway. Please don't revert those changes without having someone from us looking over the corresponding patches first.

http://l10n.mozilla.org/dashboard/?locale=hr shows the status of your locale
for fx31x and fx32x, the repositories of immediate interest for you towards
Firefox 3.1 (which we'll rebrand to 3.5 soon) are
http://hg.mozilla.org/releases/l10n-mozilla-1.9.1/hr/ and the mozilla-1.9.1
repo, check out https://developer.mozilla.org/en/L10n_on_Mercurial for details.


If you haven't yet, please file a bug to get hg write access as described on https://wiki.mozilla.org/L10n:Becoming_an_Official_Localization#hg_write_access, and mark that bug as dependent on this one? Thanks.

Please follow the communication around localizing Mozilla applications on .l10n, details on how to join are on http://www.mozilla.org/community/developer-forums.html#dev-l10n. In particular that's the place to watch out for announcements and to ask for help.

Note You need to log in before you can comment on or make changes to this bug.